/*
 * This file is part of Loclib.
 *
 * Loclib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Loclib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Loclib; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package org.pi4.loclib;

import javax.microedition.location.*;

/**
 * Location data from GPS.
 * 
 * @author faerber
 */
public class GpsLocationData extends LocationData {
	
	public GpsLocationData(QualifiedCoordinates coords, float speed, float course, long timestamp) {
		super(MTY_TERMINALBASED | MTA_UNASSISTED | MTE_SATELLITE,
			coords, speed, course, timestamp);
	}
}
